Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Out_Fixed_Array_SArgument_T< S, S_forany > Class Template Reference

OUT skeleton argument of fixed size element array. More...

`#include <Fixed_Array_SArgument_T.h>`

Inheritance diagram for TAO::Out_Fixed_Array_SArgument_T< S, S_forany >:

[legend]
Collaboration diagram for TAO::Out_Fixed_Array_SArgument_T< S, S_forany >:

[legend]
List of all members.

## Public Methods
| Out_Fixed_Array_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S & | arg (void)
## Private Attributes
S | x_

## Detailed Description

### template<typename S, typename S_forany>
class TAO::Out_Fixed_Array_SArgument_T< S, S_forany >

OUT skeleton argument of fixed size element array.

## Constructor & Destructor Documentation

template<typename S, typename S_forany>
ACE_INLINE TAO::Out_Fixed_Array_SArgument_T< S, S_forany >::Out_Fixed_Array_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_forany>
ACE_INLINE S & TAO::Out_Fixed_Array_SArgument_T< S, S_forany >::arg | ( | void |  | ) |

template<typename S, typename S_forany>
void TAO::Out_Fixed_Array_SArgument_T< S, S_forany >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_forany>
CORBA::Boolean TAO::Out_Fixed_Array_SArgument_T< S, S_forany >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_forany>
S TAO::Out_Fixed_Array_SArgument_T< S, S_forany >::x_`[private]`

The documentation for this class was generated from the following files:

- Fixed_Array_SArgument_T.h
- Fixed_Array_SArgument_T.cpp
- Fixed_Array_SArgument_T.inl